This is the mail archive of the cygwin@sources.redhat.com mailing list for the Cygwin project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]

Re: trouble building rcs 5.7 on latest cygwin


*** configure~	Fri Jun 16 16:27:50 1995
--- configure	Wed Jun 14 12:20:47 2000
***************
*** 637,643 ****
    rcs_cv_prog_diff3_bin=$DIFF3
    case $rcs_cv_prog_diff3_bin in
    '')
!     PATH=$diff3PATH sh -c "exec diff3 -E -m -L 0 -L 1 -L 2 conftest0 conftest1 /dev/null" >conftestout 2>/dev/null
      case $? in
      1)
        if cmp -s - conftestout <<'EOF'
--- 637,643 ----
    rcs_cv_prog_diff3_bin=$DIFF3
    case $rcs_cv_prog_diff3_bin in
    '')
!     PATH=$diff3PATH sh -c "exec cat /dev/null | diff3 -E -m -L 0 -L 1 -L 2 conftest0 conftest1 -" >conftestout 2>/dev/null
      case $? in
      1)
        if cmp -s - conftestout <<'EOF'
***************
*** 647,652 ****
--- 647,653 ----
  >>>>>>> 2
  EOF
        then rcs_cv_prog_diff3_bin=diff3
+       else rcs_cv_prog_diff3_bin=diff3
        fi
        ;;
      esac
***************
*** 703,709 ****
      $DIFF conftest0 conftest1 >conftest01
      $DIFF /dev/null conftest1 >conftestn1
      for i in /usr/*lib*/*diff3*; do
!       sh -c "exec $i -E conftest01 conftestn1 conftest0 /dev/null conftest1" >conftestout 2>/dev/null
        # The exit status is arbitrary!  Test the output a bit.
        if
  	grep '^<<* *conftest0$' conftestout >/dev/null 2>&1 &&
--- 704,710 ----
      $DIFF conftest0 conftest1 >conftest01
      $DIFF /dev/null conftest1 >conftestn1
      for i in /usr/*lib*/*diff3*; do
!       sh -c "exec cat /dev/null | $i -E conftest01 conftestn1 conftest0 - conftest1" >conftestout 2>/dev/null
        # The exit status is arbitrary!  Test the output a bit.
        if
  	grep '^<<* *conftest0$' conftestout >/dev/null 2>&1 &&
*** src/conf.sh~	Fri Jun 16 15:49:24 1995
--- src/conf.sh	Wed Jun 14 12:20:36 2000
***************
*** 1025,1030 ****
--- 1025,1034 ----
  	# Early editions of SunOS 5.4 are reported to have problems with mmap
  	# that generate NUL bytes in RCS files with a Solaris 2.2 NFS server.
  	# This has been reported to be fixed as of patch 101945-10.
+ 'CYGWIN'*)
+         # GNU win32 does not permit mmapped file to be opened (returns with
+         # "not owner").  So which is signal rcs gets is immaterial.
+         has_map_fd=0 has_mmap=1 has_madvise=0 mmap_signal=SIGBUS ;;
  *)
  	$PREPARE_CC || exit
  	if ($CL -DTRY_MAP_FD=1 a.c $L && $aout <a.c) >&2
*** src/rcslex.c~	Fri Jun 16 15:49:24 1995
--- src/rcslex.c	Wed Jun 14 12:22:29 2000
***************
*** 1113,1119 ****
  /* Open NAME for reading, yield its descriptor, and set *STATUS.  */
  {
  	int fd = fdSafer(open(name, O_RDONLY
! #		if OPEN_O_BINARY
  			|  (strchr(type,'b') ? OPEN_O_BINARY : 0)
  #		endif
  	));
--- 1113,1119 ----
  /* Open NAME for reading, yield its descriptor, and set *STATUS.  */
  {
  	int fd = fdSafer(open(name, O_RDONLY
! #		if OPEN_O_BINARY && !(large_memory && maps_memory)
  			|  (strchr(type,'b') ? OPEN_O_BINARY : 0)
  #		endif
  	));



-- 
-- Rod Whitby, Senior Staff Engineer, System Modelling Solutions --
-- EDA Solutions and Products - Global Software Group - Motorola --
-- Phone: +61 8 8168 3526, Mobile: +61 438 600 560, TZ: GMT+9:30 --

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]